Subject: [ippm] draft-morton-ippm-owamp-registry call for adoption and draft-elkins-ippm-6man-pdm-option accepted for adoption

From: Bill Cerveny <[email-masked]>
Date: Wed, 10 Jun 2015 16:55:17 -0400

Dear IPPM participants,

As noted in discussions for which the IPPM working group has been cc’ed on, draft draft-morton-ippm-owamp-registry-00, "Registries for the One-Way Active Measurement Protocol - OWAMP" has been proposed to establish an OWAMP registry.  The first mission of an OWAMP registry would be to support a registry entry for draft-ietf-ippm-ipsec, which is currently in IESG evaluation.

Please indicate:
(a) whether you support the addition of the milestone and the adoption 
of the draft as a WG item to fulfill that milestone 
(b) whether you have read the draft 
(c) whether you pledge to review the draft during the WG process. 

This working group last call runs for 2 weeks, but if there is sufficient support the draft may be accepted earlier so that draft-ietf-ippm-ipsec can progress.

Also, draft-elkins-ippm-6man-pdm-option has been accepted for adoption by the IPPM working group.

Regards,

Bill Cerveny
IPPM WG co-chair

---

From: Kostas Pentikousis <[email-masked]>
Date: Thu, 18 Jun 2015 17:21:15 +0200

Dear Bill, all,

| As noted in discussions for which the IPPM working group has been cc’ed on,
| draft draft-morton-ippm-owamp-registry-00, "Registries for the One-Way
| Active Measurement Protocol - OWAMP" has been proposed to establish
| an OWAMP registry.

<snip>

| Please indicate:
| (a) whether you support the addition of the milestone and the adoption
| of the draft as a WG item to fulfill that milestone 

I support both the milestone addition and draft adoption as a WG item.

| (b) whether you have read the draft 

I did. Overall reads well, but needs some further editing. But it is a perfect start for the WG document. Some editorial suggestions/nits:

s/Metrics (WG in/Metrics WG in

s/for OMAMP until/for OWAMP until

s/OWAMP Control/OWAMP-Control/g

Should the reference to "section 3" in Sec. 3.1 of this draft ("Control Command Number Registry") be more specific, pointing instead to sec. 3.4 of RFC4656?

In the table of sec. 3.2.4, perhaps it's better to be more specific and s/IPsec mode/IKEv2-derived Shared Secret Key

| (c) whether you pledge to review the draft during the WG process. 

Sure. 

Best regards,

Kostas

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Thu, 18 Jun 2015 17:42:49 -0400

Thanks Kostas!

In case others would like to take a look at this short draft,
the URL will help:
https://tools.ietf.org/html/draft-morton-ippm-owamp-registry-00

regards,
Al

> -----Original Message-----
> From: ippm [mailto:[email-masked]] On Behalf Of Kostas
> Pentikousis
> Sent: Thursday, June 18, 2015 11:21 AM
> To: Bill Cerveny; [email-masked]
> Subject: Re: [ippm] draft-morton-ippm-owamp-registry call for adoption
> and draft-elkins-ippm-6man-pdm-option accepted for adoption
> 
> Dear Bill, all,
> 
> | As noted in discussions for which the IPPM working group has been
> | cc’ed on, draft draft-morton-ippm-owamp-registry-00, "Registries for
> | the One-Way Active Measurement Protocol - OWAMP" has been proposed to
> | establish an OWAMP registry.
> 
> <snip>
> 
> | Please indicate:
> I did. Overall reads well, but needs some further editing. But it is a
> perfect start for the WG document. Some editorial suggestions/nits:
> 
> Should the reference to "section 3" in Sec. 3.1 of this draft ("Control
> Command Number Registry") be more specific, pointing instead to sec. 3.4
> of RFC4656?
> 
> In the table of sec. 3.2.4, perhaps it's better to be more specific and
> s/IPsec mode/IKEv2-derived Shared Secret Key
> 
> 
> _______________________________________________
> ippm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ippm

---

From: Nalini Elkins <[email-masked]>
Date: Fri, 19 Jun 2015 00:51:15 +0000 (UTC)

IPPM,

(a) whether you support the addition of the milestone and the adoption of the draft as a WG item to fulfill that milestone 

Yes, I support it.

Yes, I have read it.   Some comments:

1.  Section 1, paragraph 1, 1st sentence, reads in part:

"measurements of metrics specified by the IP Performance Metrics (WG in the IETF"

There may be a typo here, I suspect you want:

"measurements of metrics specified by the IP Performance Metrics (IPPM) WG in the IETF"

2.  I wonder if it makes sense to add something like the following sentence to either section 1. Introduction or Section 3.2.4
"OWAMP and TWAMP registries for commands and modes may contain different parameters and functions due to the inherent differences in what they are measuring.  No attempt will be made to coordinate them unnecessarily."

I so pledge.
 
Thanks,

Nalini Elkins
Inside Products, Inc.
(831) 659-8360
www.insidethestack.com

________________________________
From: Bill Cerveny <[email-masked]>
To: [email-masked] 
Sent: Wednesday, June 10, 2015 1:55 PM
Subject: [ippm] draft-morton-ippm-owamp-registry call for adoption and draft-elkins-ippm-6man-pdm-option accepted for adoption

Dear IPPM participants,

Please indicate:

Regards,

Bill Cerveny
IPPM WG co-chair

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Thu, 18 Jun 2015 20:56:54 -0400

Thanks Nalini,  good suggestion too.
Al

> From: ippm [mailto:[email-masked]] On Behalf Of Nalini Elkins
> Sent: Thursday, June 18, 2015 8:51 PM
> 2.  I wonder if it makes sense to add something like the following
> sentence to either section 1. Introduction or Section 3.2.4 "OWAMP and
> TWAMP registries for commands and modes may contain different parameters
> and functions due to the inherent differences in what they are
> measuring.  No attempt will be made to coordinate them unnecessarily."
> 
> 
> Subject: [ippm] draft-morton-ippm-owamp-registry call for adoption and
> draft-elkins-ippm-6man-pdm-option accepted for adoption
> 
> 
> 
> Dear IPPM participants,
> 
> As noted in discussions for which the IPPM working group has been cc’ed
> on, draft draft-morton-ippm-owamp-registry-00, "Registries for the One-
> Way Active Measurement Protocol - OWAMP" has been proposed to establish
> an OWAMP registry.  The first mission of an OWAMP registry would be to
> support a registry entry for draft-ietf-ippm-ipsec, which is currently
> in IESG evaluation.
> 
> Please indicate:
> This working group last call runs for 2 weeks, but if there is
> sufficient support the draft may be accepted earlier so that draft-ietf-
> ippm-ipsec can progress.
>

---

From: "Ackermann, Michael" <[email-masked]>
Date: Fri, 19 Jun 2015 14:53:27 +0000

HI Bill

I did read the draft.   My initial comments (hopefully in the format you wanted),  are below.

a.)    I do support the addition of the milestone and believe  the adoption
of this draft as a WG item will fulfill that milestone .

b.)    Yes,  I have read the draft.

c.)     I pledge to review the draft during the WG Process.

I also have the following related questions/comments:

1.       In 3.1.4, is the Command Control Numbers listing exhaustive?    Can it be added to or changed as needed later?

2.       Same question as above, only for 3.2.4.   Are the Modes exhaustive or granular enough?   Do we need to differentiate:   specific types of Authentication or Encryption, or modes of IPsec operation?  (random examples).   And once again can this be added to as needed at a later time?

3.       Again in 3.2.4, the statement about the OWAMP and TWAMP registry value assignments functioning differently.   In general, for simplicity and ease of use purposes, I would be in favor of keeping  as many registry functions and values as similar as possible, across all disciplines utilizing registry functions.   This particular area of registry value assignment sounds to me to be more effectively performed in OWAMP and hence I would encourage TWAMP to change.     I am hoping this would have precedent setting influence.

From: ippm [mailto:[email-masked]] On Behalf Of Bill Cerveny
Sent: Wednesday, June 10, 2015 4:55 PM
To: [email-masked]
Subject: [ippm] draft-morton-ippm-owamp-registry call for adoption and draft-elkins-ippm-6man-pdm-option accepted for adoption

Dear IPPM participants,

Please indicate:

Regards,

Bill Cerveny
IPPM WG co-chair

The information contained in this communication is highly confidential and is intended solely for the use of the individual(s) to whom this communication is directed. If you are not the intended recipient, you are hereby notified that any viewing, copying, disclosure or distribution of this information is prohibited. Please notify the sender, by electronic mail or telephone, of any unintended receipt and delete the original message without making any copies.
 
 Blue Cross Blue Shield of Michigan and Blue Care Network of Michigan are nonprofit corporations and independent licensees of the Blue Cross and Blue Shield Association.

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Fri, 19 Jun 2015 14:14:34 -0400

Hi Mike,
thanks for your review, please see my replies below.

From: Ackermann, Michael [mailto:[email-masked]]
Sent: Friday, June 19, 2015 10:53 AM
To: Bill Cerveny; [email-masked]
Cc: MORTON, ALFRED C (AL)
Subject: RE: [ippm] draft-morton-ippm-owamp-registry call for adoption and draft-elkins-ippm-6man-pdm-option accepted for adoption

HI Bill

[ACM]

Yes. If we want to add new commands, we can do this by defining the

command(s) in an RFC, and then requesting IANA to assign a new number in

the registry corresponding to the new command.  This is the same

approximate procedure you will follow with the PDM draft, I suppose

the IPv6 destination options have a corresponding registry, and IPPM

would need to request to register the PDM option.

2.       Same question as above, only for 3.2.4.   Are the Modes exhaustive or granular enough?

[ACM]

Again it’s yes, new Modes can also be added.

Do we need to differentiate:   specific types of Authentication or Encryption, or modes of IPsec operation?  (random examples).   And once again can this be added to as needed at a later time?

[ACM]

Either the new feature or extension needs to be completely specified in the

the RFC that describes it – or – it must specify some other means to achieve

compatible operation, probably the controls specified in an existing RFC.

[ACM]

I identified one case where we may want to be aligned, but mostly we can expect

differences between OWAMP and TWAMP. The RFC 5618 Mixed Security

Mode feature for TWAMP would also be easily applicable to OWAMP, but we need an

RFC to describe the feature and then request the reserved bit position

(which I already asked for reserved status).  I’ve added

and expanded version of the text that Nalini and you have suggested.

[ACM] thanks for your review and support!
Al

From: ippm [mailto:[email-masked]] On Behalf Of Bill Cerveny
Sent: Wednesday, June 10, 2015 4:55 PM
To: [email-masked]<mailto:[email-masked]>
Subject: [ippm] draft-morton-ippm-owamp-registry call for adoption and draft-elkins-ippm-6man-pdm-option accepted for adoption

Dear IPPM participants,

Please indicate:

Regards,

Bill Cerveny
IPPM WG co-chair

---

From: "Ackermann, Michael" <[email-masked]>
Date: Fri, 19 Jun 2015 18:28:12 +0000

Good answers AL

Thanks so much!

Mike

From: MORTON, ALFRED C (AL) [mailto:[email-masked]]
Sent: Friday, June 19, 2015 2:15 PM
To: Ackermann, Michael; Bill Cerveny; [email-masked]
Subject: RE: [ippm] draft-morton-ippm-owamp-registry call for adoption and draft-elkins-ippm-6man-pdm-option accepted for adoption

Hi Mike,

To: Bill Cerveny; [email-masked]<mailto:[email-masked]>

HI Bill

[ACM]

[ACM]

[ACM]

[ACM]

Dear IPPM participants,

Please indicate:

Regards,

Bill Cerveny
IPPM WG co-chair